# ``twisted`.`conch`.`ssh`.`transport`.`_DummyCipher``

class documentation

`class _DummyCipher: (source)`

View In Hierarchy

A cipher for the none encryption method.

Method | `decryptor` | Construct a noop decryptor.
Method | `encryptor` | Construct a noop encryptor.
Class Variable | `algorithm` | Undocumented
Instance Variable | `block_size` | the block size of the encryption. In the case of the none cipher, this is 8 bytes.

def decryptor(self): (source)
Construct a noop decryptor.

Returns
The decryptor.

def encryptor(self): (source)
Construct a noop encryptor.

Returns
The encryptor.

algorithm = (source)

Undocumented

block_size = (source)
the block size of the encryption. In the case of the none cipher, this is 8 bytes.